Skip to main content
POST
/
schematic
/
version
Save version
curl --request POST \
  --url https://api.buildwithtrace.com/api/v2/schematic/version \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_path": "<string>",
  "content": "<string>",
  "description": "Added power supply section",
  "conversation_id": "<string>"
}
'

Authorizations

Authorization
string
header
required

JWT access token. Get one via POST /auth/login or from the Trace app (Settings → API Token). Tokens expire after 1 hour.

Body

application/json
project_path
string
required

Path to the project

content
string
required

Schematic file content

description
string
Example:

"Added power supply section"

conversation_id
string

Associated conversation session ID

Response

200

Version saved